package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.InstrumentPanelConfigDTO;
import com.syc.slm.slmbi.service.InstrumentPanelConfigService;
import com.syc.slm.slmbi.vo.InstrumentPanelConfigVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * slm-bi
 * 仪表板样式以及数据配置
 *
 * @author : lin
 * @date : 2021-03-25 19:09
 **/

@RequestMapping("/bi/instrument_panel_config")
@RestController
@Api(value = "仪表板样式以及数据配置",description = "仪表板样式以及数据配置")
public class InstrumentPanelConfigController {

    @Autowired
    private InstrumentPanelConfigService instrumentPanelConfigService;

    @PostMapping("save_instrument_panel_config")
    @ApiOperation("保存，或者发布仪表板样式以及数据配置")
    @ApiImplicitParam(name ="optType", value ="1 保存 2 保存发布" )
    public R<Boolean> saveInstrumentPanelConfig(@RequestBody InstrumentPanelConfigDTO config,@RequestParam Integer optType){//1 保存 2 保存发布
        return R.ok(instrumentPanelConfigService.saveInstrumentPanelConfig(config,optType));
    }
    @GetMapping("get_instrument_panel_config_by_instrument_panel_id")
    @ApiOperation("根据仪表板id获取仪表板配置")
    @ApiImplicitParam(name ="instrumentPanelId", value ="仪表板id" )
    public R<InstrumentPanelConfigVo> getInstrumentPanelConfigByInstrumentPanelId(@RequestParam String instrumentPanelId){
        return R.ok(instrumentPanelConfigService.getInstrumentPanelConfigByInstrumentPanelId(instrumentPanelId));
    }

}
