package com.syc.slm.slmbi.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.InstrumentPanelDTO;
import com.syc.slm.slmbi.dto.InstrumentPanelGroupDTO;
import com.syc.slm.slmbi.entity.InstrumentPanel;
import com.syc.slm.slmbi.entity.InstrumentPanelGroup;
import com.syc.slm.slmbi.service.InstrumentPanelService;
import com.syc.slm.slmbi.vo.InstrumentPanelVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 仪表板
 *
 * @author : lin
 * @date : 2021-03-25 15:10
 **/
@RestController
@RequestMapping("/bi/instrument_panel")
@Api(value = "仪表板",description = "仪表板配置接口")
public class InstrumentPanelController {

    @Autowired
    private InstrumentPanelService instrumentPanelService;



    @GetMapping("/instrument_panels")
    @ApiOperation("仪表板列表")
    public R<IPage<InstrumentPanelVo>>  selectInstrumentPanelList(@RequestBody InstrumentPanelDTO where){  //where :{name:'',creator:'',updater:'',startDate:'' ,endDate:'',recordStatus:''}
        return R.ok(instrumentPanelService.selectInstrumentPanelList(where));
    }
    @PostMapping("/save_instrument_panel")
    @ApiOperation("新增仪表板")
    public R<Boolean>  saveInstrumentPanel(@RequestBody InstrumentPanel panel){
        return R.ok(instrumentPanelService.saveInstrumentPanel(panel));
    }


    @PostMapping("/batch_push_instrument_panel")
    @ApiOperation("批量发布或者下线")
    @ApiImplicitParams({
            @ApiImplicitParam(name="ids",value="仪表板id集合",required=true),
            @ApiImplicitParam(name="optType",value="操作类型，1 发布，2 下线",required=true,dataType="Integer")
    })
    public R<Boolean>  batchPushInstrumentPanel(@RequestBody List<String> ids,@RequestParam Integer optType){
        return R.ok(instrumentPanelService.batchPushInstrumentPanel(ids,optType));
    }


    @PostMapping("/del_push_instrument_panel")
    @ApiOperation("删除仪表板")
    @ApiImplicitParam(name="id",value="仪表板id",required=true)
    public R<Boolean> delPushInstrumentPanel(@RequestParam String id){
        return R.ok(instrumentPanelService.delPushInstrumentPanel(id));
    }


    @PostMapping("/save_as_instrument_panel")
    @ApiOperation("另存为")
    public R<Boolean> saveAsInstrumentPanel(@RequestBody InstrumentPanelDTO instrumentPanelDTO) {
        return R.ok(instrumentPanelService.saveAsInstrumentPanel(instrumentPanelDTO));
    }


    @PostMapping("/show_recovery_btn")
    @ApiOperation("是否显示恢复按钮")
    @ApiImplicitParam(name="id",value="仪表板id",required=true)
    public R<Boolean> showRecoveryBtn(@RequestParam String id) {
        return R.ok(instrumentPanelService.showRecoveryBtn(id));
    }

    @PostMapping("/recovery_instrument_panel")
    @ApiOperation("恢复按钮操作")
    @ApiImplicitParam(name="id",value="仪表板id",required=true)
    public R<Boolean> recoveryInstrumentPanel(@RequestParam String id) {
        return R.ok(instrumentPanelService.recoveryInstrumentPanel(id));
    }

}
