package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.InstrumentPanelGroupDTO;
import com.syc.slm.slmbi.entity.InstrumentPanelGroup;
import com.syc.slm.slmbi.service.InstrumentPanelGroupService;
import com.syc.slm.slmbi.vo.InstrumentPanelGroupVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 仪表板分组
 *
 * @author : lin
 * @date : 2021-03-25 15:07
 **/
@RestController
@RequestMapping("/bi/instrumentPanelGroup")
@Api(value = "仪表板分组",description = "仪表板分组接口")
public class InstrumentPanelGroupController {

    @Autowired
    private InstrumentPanelGroupService instrumentPanelGroupService;


    @GetMapping("/selectInstrumentPanelGroupList")
    @ApiOperation("获取所有的仪表板分组")
    public R<List<InstrumentPanelGroupVo>> selectInstrumentPanelGroupList(){
        return R.ok(instrumentPanelGroupService.selectInstrumentPanelGroupList());
    }

    @GetMapping("/selectInstrumentPanelGroups")
    @ApiOperation("获取所有的仪表板分组以及分组下的仪表板以及仪表板下的组件")
    public R<List<InstrumentPanelGroupVo>> selectInstrumentPanelGroups(){
        return R.ok(instrumentPanelGroupService.selectInstrumentPanelGroupList());
    }

    @PostMapping("/saveInstrumentPanelGroup")
    @ApiOperation("保存仪表板分组")
    public R<Boolean>  saveInstrumentPanelGroup(@RequestBody InstrumentPanelGroupDTO group){
       return  R.ok(instrumentPanelGroupService.saveInstrumentPanelGroup(group));
    }


    @PostMapping("/updateInstrumentPanelGroup")
    @ApiOperation("更新仪表板分组")
    public R<Boolean> updateInstrumentPanelGroup(@RequestBody InstrumentPanelGroupDTO group){
        return R.ok(instrumentPanelGroupService.updateInstrumentPanelGroup(group));
    }


    @PostMapping("/delInstrumentPanelGroup")
    @ApiOperation("删除仪表板分组")
    public R<Boolean> delInstrumentPanelGroup(@RequestParam String groupId){
        return R.ok(instrumentPanelGroupService.delInstrumentPanelGroup(groupId));
    }


}
