package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.InstrumentPanelPermissionDTO;
import com.syc.slm.slmbi.service.InstrumentPanelPermissionService;
import com.syc.slm.slmbi.vo.InstrumentPanelPermissionVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 仪表板权限控制
 *
 * @author : lin
 * @date : 2021-03-25 18:54
 **/
@Api(value = "仪表板权限控制",description = "仪表板权限控制")
@RestController
@RequestMapping("/bi/permission")
public class InstrumentPanelPermissionController {

    @Autowired
    private InstrumentPanelPermissionService instrumentPanelPermissionService;

    @PostMapping("save_instrument_panel_permission")
    @ApiOperation("保存仪表板权限")
    public R<Boolean> saveInstrumentPanelPermission(@RequestBody List<InstrumentPanelPermissionDTO> permissions){
        return  R.ok(instrumentPanelPermissionService.saveInstrumentPanelPermission(permissions));
    }

    @PostMapping("save_copy_other_instrument_panel_permission")
    @ApiOperation("从其他仪表板复制配置")
    @ApiImplicitParam(name="otherInstrumentPanelId",value="其他仪表板id",required=true)
    public R<List<InstrumentPanelPermissionVo>> saveCopyOtherInstrumentPanelPermission(@RequestParam String  otherInstrumentPanelId){
        return  R.ok(instrumentPanelPermissionService.saveCopyOtherInstrumentPanelPermission(otherInstrumentPanelId));
    }

    @PostMapping("save_copy_to_other_instrument_panel_permission")
    @ApiOperation("将仪表板权限复制给其他仪表板")
    @ApiImplicitParam(name="otherInstrumentPanelId",value="其他仪表板id",required=true)
    public R<Boolean> saveCopyToOtherInstrumentPanelPermission(@RequestBody List<InstrumentPanelPermissionDTO> permissions,@RequestParam String  otherInstrumentPanelId ){
        return  R.ok(instrumentPanelPermissionService.saveCopyToOtherInstrumentPanelPermission(permissions,otherInstrumentPanelId));
    }

    @GetMapping("select_instrument_panel_permission_by_id")
    @ApiOperation("根据仪表板id获取仪表板权限")
    @ApiImplicitParam(name="instrumentPanelId",value="仪表板id",required=true)
    public R<List<InstrumentPanelPermissionVo>> selectnstrumentPanelPermissionById(@RequestParam String instrumentPanelId ){
        return  R.ok(instrumentPanelPermissionService.selectInstrumentPanelPermissionById(instrumentPanelId));
    }
}
