package com.syc.slm.slmbi.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.VariableDTO;
import com.syc.slm.slmbi.service.VariableService;
import com.syc.slm.slmbi.vo.VariableDeviceVo;
import com.syc.slm.slmbi.vo.VariableSourceVo;
import com.syc.slm.slmbi.vo.VariableVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;


/**
 * slm-bi
 * 用户信息
 *
 * @author : lin
 * @date : 2021-03-25 18:45
 **/
@RestController
@RequestMapping("/bi/variable")
@Api(description = "变量控件")
public class VariableController {
    @Autowired
    private VariableService variableService;

    @GetMapping("get_variable_list")
    @ApiOperation("获取变量列表")
    public R<IPage<VariableVo>> getVariableList(@RequestBody VariableDTO variableDTO){
        return R.ok(variableService.getVariableList(variableDTO));
    }

    @GetMapping("get_variable_source_list")
    @ApiOperation("获取变量来源列表")
    public R<List<VariableSourceVo>> getVariableSourceList(){
        return R.ok(variableService.getVariableSourceList());
    }

    @GetMapping("get_variable_device_list")
    @ApiOperation("获取变量所属设备列表")
    public R<List<VariableDeviceVo>> getVariableDeviceList(){
        return R.ok(variableService.getVariableDeviceList());
    }

    @GetMapping("get_variable_real_time_data_list")
    @ApiOperation("获取变量实时数据")
    @ApiImplicitParam(name="variableId",value="变量id")
    public R getVariableRealTimeDataList(@RequestParam String variableId){
        return R.ok();
    }


    @GetMapping("get_variable_history_data_list")
    @ApiOperation("获取变量历史数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name="variableId",value="变量id",required=true),
            @ApiImplicitParam(name="startTime",value="开始时间",required=true),
            @ApiImplicitParam(name="endTime",value="结束时间",required=true)
    })
    public R getVariableHistoryDataList(@RequestParam String variableId, @RequestParam Date startTime,@RequestParam Date endTime){
        return R.ok();
    }
}
